%global modulename snapdragon

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-snapdragon
Version:        0.8.2
Release:        1%{?dist}
Summary:        Fast, pluggable and easy-to-use parser-renderer factory.

License:        MIT
URL:            https://github.com/jonschlinkert/snapdragon
Source0:        https://registry.npmjs.org/snapdragon/-/snapdragon-0.8.2.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(base) >= 0.11.1 with npmlib(base) < 0.12.0))
BuildRequires:  ((npmlib(debug) >= 2.2.0 with npmlib(debug) < 3.0.0))
BuildRequires:  ((npmlib(define-property) >= 0.2.5 with npmlib(define-property) < 0.3.0))
BuildRequires:  ((npmlib(extend-shallow) >= 2.0.1 with npmlib(extend-shallow) < 3.0.0))
BuildRequires:  ((npmlib(map-cache) >= 0.2.2 with npmlib(map-cache) < 0.3.0))
BuildRequires:  ((npmlib(source-map) >= 0.5.6 with npmlib(source-map) < 0.6.0))
BuildRequires:  ((npmlib(source-map-resolve) >= 0.5.0 with npmlib(source-map-resolve) < 0.6.0))
BuildRequires:  ((npmlib(use) >= 3.1.0 with npmlib(use) < 4.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Fast, pluggable and easy-to-use parser-renderer factory.

%package 0.8.2
Summary:        Fast, pluggable and easy-to-use parser-renderer factory.


%description 0.8.2
Fast, pluggable and easy-to-use parser-renderer factory.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 0.8.2
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Nov 28 2018 npm2srpm <dshea@redhat.com> - 0.8.2-1
- Package automatically generated by npm2srpm
